%define anolis_release 2
%global tarball xf86-input-wacom
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/input

Summary:    Xorg X11 wacom input driver
Name:       xorg-x11-drv-wacom
Version:    1.1.0
Release:    %{anolis_release}%{?dist}
URL:        http://www.x.org
License:    GPLv2+

Source0: https://github.com/linuxwacom/xf86-input-wacom/releases/download/xf86-input-wacom-%{version}/xf86-input-wacom-%{version}.tar.bz2

BuildRequires: make
BuildRequires: pkgconfig(inputproto)
BuildRequires: pkgconfig(kbproto)
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(randrproto)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xorg-macros) >= 1.8
BuildRequires: pkgconfig(xorg-server) >= 1.13.0
BuildRequires: pkgconfig(xproto)
BuildRequires: pkgconfig(xrandr)
BuildRequires: systemd

Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires xinput)
Requires: xorg-x11-drv-wacom-serial-support

Provides:  linuxwacom = %{version}-%{release}
Obsoletes: linuxwacom <= 0.8.4.3

%description
X.Org X11 wacom input driver for Wacom tablets.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static --disable-silent-rules --enable-debug \
           --with-systemd-unit-dir=%{_unitdir} \
           --with-udev-rules-dir=%{_udevrulesdir}

%make_build

%install
%make_install
mv $RPM_BUILD_ROOT/%{_udevrulesdir}/wacom.rules $RPM_BUILD_ROOT/%{_udevrulesdir}/70-wacom.rules

%files
%license GPL
%doc AUTHORS ChangeLog
%{driverdir}/wacom_drv.so
%{_mandir}/man4/wacom.4*
%{_mandir}/man1/xsetwacom.1*
%{_datadir}/X11/xorg.conf.d/70-wacom.conf
%{_bindir}/xsetwacom

%package devel
Summary:    Xorg X11 wacom input driver development package

Requires: xorg-x11-server-devel >= 1.7.0

%description devel
X.Org X11 wacom input driver development files.

%files devel
%license GPL
%{_libdir}/pkgconfig/xorg-wacom.pc
%{_includedir}/xorg/Xwacom.h
%{_includedir}/xorg/wacom-properties.h
%{_includedir}/xorg/wacom-util.h
%{_includedir}/xorg/isdv4.h
%{_bindir}/isdv4-serial-debugger

%package serial-support
Summary:    Files for enabling the wacom_w8001 kernel driver

%description serial-support
Files for enabling the wacom_w8001 kernel driver on Wacom
ISDv4-compatible serial tablets. If enabled, the serial tablet's device node
will be available as normal evdev node.

%files serial-support
%license GPL
%{_udevrulesdir}/70-wacom.rules
%{_bindir}/isdv4-serial-inputattach
%{_unitdir}/wacom-inputattach@.service

%changelog
* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 1.1.0-2
- Rebuild for remove inappropriate build dependencies.

* Mon Jan 2 2023 Funda Wang <fundawang@yeah.net> - 1.1.0-1
- New version 1.1.0

* Wed Apr 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.0-1
- Init from upstream version  1.0.0

